1
Fork 0

fix ci/release

by adding a stub commit there
nix
Motiejus Jakštys 2022-04-20 14:45:48 +03:00
parent 160de46269
commit d4f40a19fb
1 changed files with 3 additions and 2 deletions

View File

@ -1,10 +1,11 @@
#!/bin/bash
set -xeuo pipefail
parent_ref=$(git rev-parse HEAD)
cd "$(git rev-parse --show-toplevel)"
prev_ref=$(git rev-parse HEAD)
git commit --allow-empty -m "this is a test commit"
./release --nosign v99.0
cleanup() { git tag -d v99.0; git reset --hard "$parent_ref"; }
cleanup() { git tag -d v99.0; git reset --hard "$prev_ref"; }
trap cleanup EXIT
want=" 1 file changed, 2 insertions(+), 2 deletions(-)"